Package javax.servlet

## Class ServletRequestEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.servlet.ServletRequestEvent

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `ServletRequestAttributeEvent`

    public class ServletRequestEvent
    extends java.util.EventObject

Events of this kind indicate lifecycle events for a ServletRequest. The source of the event is the ServletContext of this web application.

Since:
  Servlet 2.4
See Also:
  `ServletRequestListener`, Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`ServletRequestEvent​(ServletContext sc, ServletRequest request)` Construct a ServletRequestEvent for the given ServletContext and ServletRequest.

### Method Summary

All Methods Instance Methods Concrete Methods
`ServletContext` `getServletContext()` Get the associated ServletContext.
`ServletRequest` `getServletRequest()` Get the associated ServletRequest.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServletRequestEvent

    public ServletRequestEvent​(ServletContext sc,
                               ServletRequest request)

Construct a ServletRequestEvent for the given ServletContext and ServletRequest.

Parameters:
  `sc` - the ServletContext of the web application.
  `request` - the ServletRequest that is sending the event.

### Method Detail

#### getServletRequest

    public ServletRequest getServletRequest()

Get the associated ServletRequest.

Returns:
  the ServletRequest that is changing.

#### getServletContext

    public ServletContext getServletContext()

Get the associated ServletContext.

Returns:
  the ServletContext that is changing.